package com.hrsk.cloud.eg.vo.response;

import com.hrsk.cloud.eg.constant.ResultCodeEnum;

import java.io.Serializable;

/**
 * @author zhangyy
 * @version 1.0
 * @description: DataVo  DefaultResponseVo#data 中返回的信息多用与撞库接口返回
 * @date 2024/8/28 11:49
 */
public class DataVo implements Serializable {

    /**
     * 状态 1 成功 0 失败 参考true 和false
     * */
    private Integer status;

    private String msg;

    public DataVo(Integer status, String msg) {
        this.status = status;
        this.msg = msg;
    }

    public static DataVo success(){
        return new DataVo(1,"撞库成功");
    }
    public static DataVo fail(){
        return new DataVo(0,"撞库失败");
    }


}
